<mat-drawer-container class="sidenav-container">
  <mat-drawer
    #drawer
    class="sidenav"
    fixedInViewport="true"
    [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [disableClose]="!(isHandset$ | async)"
    [opened]="!(isHandset$ | async)">
    <mat-toolbar color="primary">
      <div style="height: 40px;width: 40px; border-radius: 50%;border: 1px solid var(--color-white);" class="mr-3">
        <img src="{{logoURL || 'assets/custom-images/BrandLogo.svg'}}" alt="" class="h-100 w-100">
      </div>
      <div class="ft-weight-900 f-16 fm-rauth">
        AuthFirst
      </div>
    </mat-toolbar>
    <ng-container *ngIf="tokenIsValid">
      <mat-nav-list>
        <a mat-list-item routerLink="/admin/profile" [ngClass]="isSelected('/profile') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">person</mat-icon>
            <div>Profile</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/user" [ngClass]="isSelected('/user') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">groups</mat-icon>
            <div>Users</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/role" [ngClass]="isSelected('/role') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">group</mat-icon>
            <div>Roles</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/client" [ngClass]="isSelected('/client') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">settings_accessibility</mat-icon>
            <div>Clients</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/scope" [ngClass]="isSelected('/scope') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">search</mat-icon>
            <div>Scope</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/social_login" [ngClass]="isSelected('/social_login') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">login</mat-icon>
            <div>Social login</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/ldap_client" [ngClass]="isSelected('/ldap_client') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">table</mat-icon>
            <div>LDAP</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/kerberos_realm" [ngClass]="isSelected('/kerberos_realm') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">wifi</mat-icon>
            <div>Kerberos realm</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/oauth2_provider" [ngClass]="isSelected('/oauth2_provider') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">phone_iphone</mat-icon>
            <div>Oauth provider</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/saml_app" [ngClass]="isSelected('/saml_app') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">apps</mat-icon>
            <div>SAML</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/storage" [ngClass]="isSelected('/storage') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">folder_open</mat-icon>
            <div>Storage</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/email" [ngClass]="isSelected('/email') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">mail</mat-icon>
            <div>Email</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/list/cors_domain" [ngClass]="isSelected('/cors_domain') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">domain_disabled</mat-icon>
            <div>Cors domain</div>
          </div>
        </a>
        <a mat-list-item *ngIf="isAdmin" routerLink="/admin/auth_settings" [ngClass]="isSelected('/auth_settings') ? 'active' : ''">
          <div class="flex items-center">
            <mat-icon class="mr-3">settings</mat-icon>
            <div>Settings</div>
          </div>
        </a>
      </mat-nav-list>
    </ng-container>
  </mat-drawer>
  <mat-drawer-content>
    <mat-toolbar color="primary" class="justify-end">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <div class="avatarImage" (click)="toggleAvatar()">
        {{avatarName}}
      </div>
    </mat-toolbar>

    <div class="profile-block" *ngIf="profileBlock">
      <div class="profile-name fm-rauth">
        {{fullName}}
      </div>
      <div class="theme-block">
        <div class="theme-block-background">
            <div class="w-100">
              <div class="mb-3 fm-rauth text-center">Themes</div>
            <div class="flex justify-center align-center">
              <div [class]="'opt-theme mr-3 opt-theme-'+item" (click)="getTheme('theme-'+item)" [ngClass]="currentTheme === 'theme-'+item ? 'selected-theme' : ''" *ngFor="let item of [1,2,3]"></div>
            </div>
            </div>
        </div>
      </div>
      <div class="text-center">
        <button class="secondary text-center" *ngIf="loggedIn" (click)="logoutCurrentUser()">Logout</button>
        <button class="secondary text-center" *ngIf="!loggedIn" (click)="login()">Login</button>
      </div>
    </div>
    <div class="pos-fixed" *ngIf="profileBlock" (click)="toggleAvatar()">

    </div>
    <div>
      
      <router-outlet></router-outlet>
    </div>
  </mat-drawer-content>
</mat-drawer-container>
